Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.calendar
Class AddAppointmentModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.calendar.CalendarModel
              portlets.compoze.groupware.model.calendar.AddAppointmentModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EditAppointmentModel

public class AddAppointmentModel
extends CalendarModel
implements java.io.Serializable

This class represents the data model for the add appointment page (`add_appointment.jsp`).

See Also:
  Serialized Form

Field Summary
`static int` | `ALL_DAY_OPTION_ALL_DAY` This represents the 'all day' all day option.
`static int` | `ALL_DAY_OPTION_TIME` This represents the 'time' all day option.
`static int` | `REPEAT_OPTION_DO_NOT_REPEAT` This represents the 'do not repeat' repeat option.
`static int` | `REPEAT_OPTION_REPEAT_ANNUAL` This represents the 'repeat annual' repeat option.
`static int` | `REPEAT_OPTION_REPEAT_INTERVAL` This represents the 'repeat interval' repeat option.
`static int` | `REPEAT_OPTION_REPEAT_MONTHLY` This represents the 'repeat monthly' repeat option.
`static int` | `REPEAT_OPTION_REPEAT_MONTHLY_BY_DAY` This represents the 'repeat monthly by day' repeat option.
`static int` | `REPEAT_OPTION_REPEAT_WEEKLY` This represents the 'repeat weekly' repeat option.
`static int` | `UNTIL_OPTION_ALWAYS` This represents the 'always' until option.
`static int` | `UNTIL_OPTION_FOR` This represents the 'for' until option.
`static int` | `UNTIL_OPTION_OCCURRENCES` This represents the 'occurrences' until option.
`static int` | `UNTIL_OPTION_UNTIL_DATE` This represents the 'until date' until option.

Constructor Summary
`AddAppointmentModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, CalendarPreferences calendarPrefs, Accounts accounts)` Constructor.

Method Summary
`AppointmentType` | `getAppointmentType()` Gets the appointment type.
`boolean` | `getEmailCommaSeparator()` Gets the recipients email comma separator flag.
`java.util.Date` | `getStartDate()` Gets the start date.
`java.lang.String` | `getStartDateDayString(java.util.Date givenDate)` Gets the start date day string.
`int` | `getStartDateMonth(java.util.Date givenDate)` Gets the start date month.
`java.lang.String` | `getStartDateYearString(java.util.Date givenDate)` Gets the start date year string.
`java.util.Date` | `getUntilDate(java.util.Date givenDate)` Gets the until date.
`java.lang.String` | `getUntilDateDayString(java.util.Date givenDate)` Gets the until date day string.
`int` | `getUntilDateMonth(java.util.Date givenDate)` Gets the until date month.
`java.lang.String` | `getUntilDateYearString(java.util.Date givenDate)` Gets the until date year string.
`void` | `setAppointmentType(AppointmentType type)` Sets the appointment type.
`void` | `setEmailCommaSeparator(boolean bEmailCommaSeparator)` Sets the recipients email comma separator flag.
`void` | `setStartDate(java.util.Date givenDate)` Sets the start date.

Methods inherited from class portlets.compoze.groupware.model.calendar.CalendarModel
`getCalendarPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPEAT_OPTION_DO_NOT_REPEAT

    public static final int REPEAT_OPTION_DO_NOT_REPEAT

  This represents the 'do not repeat' repeat option.

  See Also:
    Constant Field Values

### REPEAT_OPTION_REPEAT_INTERVAL

    public static final int REPEAT_OPTION_REPEAT_INTERVAL

  This represents the 'repeat interval' repeat option.

  See Also:
    Constant Field Values

### REPEAT_OPTION_REPEAT_ANNUAL

    public static final int REPEAT_OPTION_REPEAT_ANNUAL

  This represents the 'repeat annual' repeat option.

  See Also:
    Constant Field Values

### REPEAT_OPTION_REPEAT_WEEKLY

    public static final int REPEAT_OPTION_REPEAT_WEEKLY

  This represents the 'repeat weekly' repeat option.

  See Also:
    Constant Field Values

### REPEAT_OPTION_REPEAT_MONTHLY

    public static final int REPEAT_OPTION_REPEAT_MONTHLY

  This represents the 'repeat monthly' repeat option.

  See Also:
    Constant Field Values

### REPEAT_OPTION_REPEAT_MONTHLY_BY_DAY

    public static final int REPEAT_OPTION_REPEAT_MONTHLY_BY_DAY

  This represents the 'repeat monthly by day' repeat option.

  See Also:
    Constant Field Values

### UNTIL_OPTION_ALWAYS

    public static final int UNTIL_OPTION_ALWAYS

  This represents the 'always' until option.

  See Also:
    Constant Field Values

### UNTIL_OPTION_UNTIL_DATE

    public static final int UNTIL_OPTION_UNTIL_DATE

  This represents the 'until date' until option.

  See Also:
    Constant Field Values

### UNTIL_OPTION_OCCURRENCES

    public static final int UNTIL_OPTION_OCCURRENCES

  This represents the 'occurrences' until option.

  See Also:
    Constant Field Values

### UNTIL_OPTION_FOR

    public static final int UNTIL_OPTION_FOR

  This represents the 'for' until option.

  See Also:
    Constant Field Values

### ALL_DAY_OPTION_ALL_DAY

    public static final int ALL_DAY_OPTION_ALL_DAY

  This represents the 'all day' all day option.

  See Also:
    Constant Field Values

### ALL_DAY_OPTION_TIME

    public static final int ALL_DAY_OPTION_TIME

  This represents the 'time' all day option.

  See Also:
    Constant Field Values

Constructor Detail

### AddAppointmentModel

    public AddAppointmentModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                               FeatureGroup featureGroup,
                               GroupwarePreferences groupwarePrefs,
                               CalendarPreferences calendarPrefs,
                               Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `calendarPrefs` - the calendar preferences (may not be `null`)

Method Detail

### getStartDateDayString

    public java.lang.String getStartDateDayString(java.util.Date givenDate)

  Gets the start date day string.

  Returns:
    the start date day string

### getUntilDateDayString

    public java.lang.String getUntilDateDayString(java.util.Date givenDate)

  Gets the until date day string.

  Returns:
    the until date day string

### getStartDateYearString

    public java.lang.String getStartDateYearString(java.util.Date givenDate)

  Gets the start date year string.

  Returns:
    the start date year string

### getUntilDateYearString

    public java.lang.String getUntilDateYearString(java.util.Date givenDate)

  Gets the until date year string.

  Returns:
    the until date year string

### getStartDateMonth

    public int getStartDateMonth(java.util.Date givenDate)

  Gets the start date month.

  Returns:
    the start date month

### getUntilDateMonth

    public int getUntilDateMonth(java.util.Date givenDate)

  Gets the until date month.

  Returns:
    the until date month

### getUntilDate

    public java.util.Date getUntilDate(java.util.Date givenDate)

  Gets the until date.

  Returns:
    the until date

### getStartDate

    public java.util.Date getStartDate()

  Gets the start date.

  Returns:
    the start date

### setStartDate

    public void setStartDate(java.util.Date givenDate)

  Sets the start date.

### getEmailCommaSeparator

    public boolean getEmailCommaSeparator()

  Gets the recipients email comma separator flag.

  Returns:
    `true` if using comma as the email separator for recipients or `false` otherwise

### setEmailCommaSeparator

    public void setEmailCommaSeparator(boolean bEmailCommaSeparator)

  Sets the recipients email comma separator flag.

  Parameters:
    `bEmailCommaSeparator` - the email comma separator flag

### getAppointmentType

    public AppointmentType getAppointmentType()

  Gets the appointment type.

  Returns:
    the appointment type

### setAppointmentType

    public void setAppointmentType(AppointmentType type)

  Sets the appointment type.

  Parameters:
    `type` - the appointment type (may not be `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.